From c10cfbf3aac9a0f202e4290f694f853f57578050 Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <postgres@jeltef.nl>
Date: Sun, 15 Dec 2024 11:58:09 +0100
Subject: [PATCH v1] Don't run flaky tests in parallel with eachother

---
 src/test/regress/parallel_schedule | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/test/regress/parallel_schedule b/src/test/regress/parallel_schedule
index 81e4222d26a..db1493ee116 100644
--- a/src/test/regress/parallel_schedule
+++ b/src/test/regress/parallel_schedule
@@ -91,8 +91,10 @@ test: select_parallel
 test: write_parallel
 test: vacuum_parallel
 
-# no relation related tests can be put in this group
-test: publication subscription
+# These test are flaky when run in parallel with eachother, see:
+# https://www.postgresql.org/message-id/flat/18dcfb7f-5deb-4487-ae22-a2c16839519a%40gmail.com
+test: publication
+test: subscription
 
 # ----------
 # Another group of parallel tests

base-commit: 56499315a74f97d220373e396903c389d85c8933
-- 
2.34.1

